Package ghidra.program.database.map

# Class AddressRecordDeleter

java.lang.Object
ghidra.program.database.map.AddressRecordDeleter

public class AddressRecordDeleter extends Object
Static methods to delete records from a table. Handles subtle issues with image base causing address to "wrap".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `deleteRecords(Table table, int colIx, AddressMap addrMap, Address start, Address end, RecordFilter filter)`
  Deletes the records that have indexed address fields that fall within the given range.
  `static boolean`
  `deleteRecords(Table table, AddressMap addrMap, Address start, Address end)`
  Deletes the records the fall within the given range.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### deleteRecords

    public static boolean deleteRecords(Table table, AddressMap addrMap, Address start, Address end) throws IOException
    Deletes the records the fall within the given range. Uses the address map to convert the address range into 1 or more key ranges. (Address ranges may not be continuous after converting to long space). NOTE: Absolute key encodings are not handled currently !!
    Parameters:
      `table` - the database table to delete records from.
      `addrMap` - the address map used to convert addresses into long keys.
      `start` - the start address in the range.
      `end` - the end address in the range.
    Throws:
      `IOException` - if a database io error occurs.

  - ### deleteRecords

    public static boolean deleteRecords(Table table, int colIx, AddressMap addrMap, Address start, Address end, RecordFilter filter) throws IOException
    Deletes the records that have indexed address fields that fall within the given range. Uses the address map to convert the address range into 1 or more key ranges. (Address ranges may not be continuous after converting to long space). NOTE: Absolute key encodings are not handled currently !!
    Parameters:
      `table` - the database table to delete records from.
      `colIx` - the column that has indexed addresses.
      `addrMap` - the address map used to convert addresses into long keys.
      `start` - the start address in the range.
      `end` - the end address in the range.
    Throws:
      `IOException` - if a database io error occurs.